package com.vendor.burn.preferences;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.Activator;
import com.vendor.burn.preferences.PreferenceConstants;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.preference.PreferenceConverter;
import org.eclipse.swt.graphics.FontData;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.graphics.Rectangle;

public final class FastbootPreferences implements PreferenceConstants {
  public static final String ID = "com.vendor.burn.preferences.FastbootPreferencePage";
  
  public static final int MBYTE_SIZE_1 = 1048576;
  
  public static boolean getBoolean(String key) {
    return getPreferenceStore().getBoolean(key);
  }
  
  public static RGB getConsoleOutDefault() {
    return (RGB)getValue(RGB.class, "vendor.burn.console.out.rgb.default");
  }
  
  public static RGB getConsoleOutReceived() {
    return (RGB)getValue(RGB.class, "vendor.burn.console.out.rgb.received");
  }
  
  public static RGB getConsoleOutWarning() {
    return (RGB)getValue(RGB.class, "vendor.burn.console.out.rgb.warning");
  }
  
  public static RGB getConsoleOutInfo() {
    return (RGB)getValue(RGB.class, "vendor.burn.console.out.rgb.info");
  }
  
  public static String getBaudRate() {
    return (String)getValue(String.class, "vendor.burn.i2c.baudrate");
  }
  
  public static int getDeviceAddress() {
    return 
      getInt("vendor.burn.i2c.deviceAddress");
  }
  
  public static int getI2cDelay() {
    return getInt("vendor.burn.i2c.delay");
  }
  
  public static int getI2cTimeout() {
    return getInt("vendor.burn.i2c.timeout");
  }
  
  public static String getJtagSmallBoradModel() {
    return (String)getValue(String.class, "vendor.burn.jtag.small.borad.model");
  }
  
  public static int getI2cRetryCount() {
    return 
      getInt("vendor.burn.i2c.retry.count");
  }
  
  public static boolean isDialogOn() {
    return getBoolean("vendor.burn.dialogs.on");
  }
  
  public static boolean isDebugOn() {
    return getBoolean("vendor.burn.console.out.debug");
  }
  
  public static boolean isUpdateBootargsOn() {
    return getBoolean("vendor.burn.update.bootrags");
  }
  
  public static boolean isCheckSameNetWork() {
    return getBoolean("vendor.burn.check.network");
  }
  
  public static boolean isDiskFormatting() {
    return getBoolean("vendor.burn.config.emmcErase");
  }
  
  public static boolean isEmmcEraseBeforeBurn() {
    return getBoolean("vendor.burn.config.emmcErase.beforeBurn");
  }
  
  public static boolean isResetBeforeBurn() {
    return getBoolean("vendor.burn.config.reset.beforeBurn");
  }
  
  public static boolean isNandPinSaveMpde() {
    return getBoolean("vendor.burn.config.imageFill.nand.pinSaveMode");
  }
  
  public static boolean isOpenTftpCrcCheck() {
    return getBoolean("vendor.burn.tftp.crc.check");
  }
  
  public static boolean isOpenTftpWindowSize() {
    return getBoolean("vendor.burn.tftp.windowSize.open");
  }
  
  public static boolean isTftpIgnoreBlockAck() {
    return getBoolean("vendor.burn.tftp.losingpackage.enable");
  }
  
  public static IPreferenceStore getPreferenceStore() {
    Activator default1 = Activator.getDefault();
    if (default1 == null)
      return null; 
    return default1.getPreferenceStore();
  }
  
  public static Object getValue(Class<?> type, String name) {
    if (type == null)
      return null; 
    IPreferenceStore preferences = getPreferenceStore();
    if (!preferences.contains(name))
      return null; 
    if (Integer.class == type || int.class == type)
      return Integer.valueOf(preferences.getInt(name)); 
    if (Boolean.class == type || boolean.class == type)
      return Boolean.valueOf(preferences.getBoolean(name)); 
    if (Double.class == type || double.class == type)
      return Double.valueOf(preferences.getDouble(name)); 
    if (Float.class == type || float.class == type)
      return Float.valueOf(preferences.getFloat(name)); 
    if (Long.class == type || long.class == type)
      return Long.valueOf(preferences.getLong(name)); 
    if (String.class == type)
      return preferences.getString(name); 
    if (RGB.class == type)
      return PreferenceConverter.getColor(preferences, name); 
    if (FontData.class == type)
      return PreferenceConverter.getFontData(preferences, name); 
    if (Point.class == type)
      return PreferenceConverter.getPoint(preferences, name); 
    if (Rectangle.class == type)
      return PreferenceConverter.getRectangle(preferences, name); 
    return null;
  }
  
  public static int getInt(String key) {
    return getPreferenceStore().getInt(key);
  }
}
